Request

Response

    List User Group Users
    GET

    v2/hubs/{hubId}/groups/{groupId}/users

    Returns a paginated list of User Group User memberships for a specific group in a hub. Can be optionally filtered by userId.

    Resource Information

    Method and URI
    GET
    https://api.aps.autodesk.com/content-catalog/v2/hubs/{hubId}/groups/{groupId}/users
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account flow.

    The Secure Service Account (SSA) flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    Region
    string
    Region identifier for API routing. Defaults to US if not provided.
    * Required

    Request

    URI Parameters

    hubId
    string
    Unique identifier for an individual hub
    groupId
    string
    Group ID to list users for

    Request

    Query String Parameters

    limit
    int
    Maximum number of items to return
    cursorState
    string
    The opaque data describing the pagination state to the server. Clients SHOULD NOT attempt to parse or generate this cursor. It should be populated from the response to a previous query. Leaving this unused requests the first page of data.
    userId
    string
    Optional filter by user ID. Must be an Autodesk Forma account-user UUID.

    Response

    HTTP Status Code Summary

    200
    OK
    Successfully retrieved user group user memberships
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    Unauthorized
    500
    Internal Server Error
    An unexpected error occurred on the server, preventing it from completing your request. Please try again later. If the issue persists, contact the support team for assistance.
    503
    Service Unavailable
    The request could not be completed because a downstream dependency was unavailable. On POST/PATCH for a ROLE/COMPANY member, this means the Autodesk Forma call used to validate the member identifier failed (5xx) or was rate-limited (429). On any operation, it can also mean DynamoDB was throttled. Retry after a short delay.

    Response

    Body Structure (200)

    Expand all
    results
    array: object
    Array of user group user memberships
    userId
    string
    The member’s Autodesk Forma account-user UUID (uppercase). For a COMPANY or ROLE member this is the company/role UUID.
    userGroupId
    string
    Group ID that the user belongs to
    hubId
    string
    Unique identifier of the hub that owns this membership
    membershipType
    enum:string
    Membership type discriminator - indicates the type of member (USER, COMPANY, or ROLE) Possible values: USER, COMPANY, ROLE
    pagination
    object
    Pagination information for cursor-based navigation
    limit
    int
    The limit value used by the server in the response
    cursorState
    string
    CursorState from the request
    nextUrl
    string
    Link that will return the next page of data. Null if this is the last page
    nextCursorState
    string
    The cursorState parameter for requesting the next page. Intended for clients that build request URLs programmatically instead of using nextUrl. Null if this is the last page

    Example

    Successfully retrieved user group user memberships

    Request

    curl -v 'https://developer.api.autodesk.com/content-catalog/v2/hubs/757FF58F-AE23-42D8-B303-BD7B53FA2B98/groups/6A10A175-3374-4586-BADB-182D40747ECC/users?limit=20&cursorState=AMMAEACAtgALYWRzay53aXBkZXYNZnMuZmlsZS5hZGRlZAZmb2xk&userId=012C79A6-8C01-4502-86C2-32264EC81207' \
      -H 'Authorization: '
    

    Response

    {
      "results": [
        {
          "userId": "012C79A6-8C01-4502-86C2-32264EC81207",
          "userGroupId": "6A10A175-3374-4586-BADB-182D40747ECC",
          "hubId": "757FF58F-AE23-42D8-B303-BD7B53FA2B98",
          "membershipType": "USER"
        }
      ],
      "pagination": {
        "limit": 20,
        "cursorState": "eyJxYyI6Im...",
        "nextUrl": "https://api.aps.autodesk.com/content-catalog/v2/...",
        "nextCursorState": "eyJxYyI6Im..."
      }
    }
    
    Show More